#!/usr/bin/env python3

"""
Paramecio2fm is a series of wrappers for Flask, mako and others and construct a simple headless cms.

Copyright (C) 2023 Antonio de la Rosa Caballero

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

from paramecio2.libraries.db.coreforms import BaseForm
from paramecio2.libraries.mtemplates import standard_t
from paramecio2.libraries.datetime import format_timedata

class DateForm(BaseForm):
    """Create a form for dates, with year, day, hour, minut and seconds"""
    
    def __init__(self, name, value):
        
        super().__init__(name, value)
        
        self.yes_time=False
        self.t=standard_t

    def form(self):
        
        y=''
        m=''
        d=''
        h=''
        min=''
        s=''
        min_time=''
        
        time=format_timedata(self.default_value)
        
        if time[0]:
            y=int(time[0])
            m=int(time[1])
            d=int(time[2])
            h=int(time[3])
            min_time=int(time[4])
            s=int(time[5])
        
        return self.t.load_template('forms/dateform.phtml', yes_time=self.yes_time, form=self.name, y=y, m=m, d=d, h=h, min=min_time, s=s)

    #def 
                         
